<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <base data-ice="baseUrl">
  <title data-ice="title">Reference | archive-system-front-end</title>
  <link type="text/css" rel="stylesheet" href="css/style.css">
  <link type="text/css" rel="stylesheet" href="css/prettify-tomorrow.css">
  <script src="script/prettify/prettify.js"></script>
  <script src="script/manual.js"></script>
</head>
<body class="layout-container" data-ice="rootContainer">

<header>
  <a href="./">Home</a>
  
  <a href="identifiers.html">Reference</a>
  <a href="source.html">Source</a>
  
  <div class="search-box">
  <span>
    <img src="./image/search.png">
    <span class="search-input-edge"></span><input class="search-input"><span class="search-input-edge"></span>
  </span>
    <ul class="search-result"></ul>
  </div>
<a href="https://gitlab.com/ArchiveSys/Web-Catalogue/archive-system-front-end.git">Repository</a></header>

<nav class="navigation" data-ice="nav"><div>
  <ul>
    
  <li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js">js</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/moodral.js~moodral.html">moodral</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-CONFIG">CONFIG</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge">js/catalouge</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_System.js~Catalog_System.html">Catalog_System</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_System_Base.js~Catalog_System_Base.html">Catalog_System_Base</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-archive-connection">js/catalouge/Archive_Connection</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Archive_Connection/Archive_Connection.js~Archive_Connection.html">Archive_Connection</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-catalog-entry">js/catalouge/Catalog_Entry</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry.js~Catalog_Entry.html">Catalog_Entry</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html">Catalog_Entry_Base</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-catalog-entry-moodral">js/catalouge/Catalog_Entry_Moodral</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry_Moodral/Catalog_Entry_Moodral.js~Catalog_Entry_Moodral.html">Catalog_Entry_Moodral</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-filter">js/catalouge/Filter</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Filter/Filter.js~Filter.html">Filter</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Filter/Filter_Base.js~Filter_Base.html">Filter_Base</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-catalouge-page-headers">js/catalouge/Page_Headers</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/catalouge/Page_Headers/Page_Headers.js~Page_Headers.html">Page_Headers</a></span></span></li>
<li data-ice="doc"><a data-ice="dirPath" class="nav-dir-path" href="identifiers.html#js-toolkit">js/toolkit</a><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html">toolkit</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~baseStorageToolkitExtention.html">baseStorageToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~permanentStorageToolkitExtention.html">permanentStorageToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~sessionStorageToolkitExtention.html">sessionStorageToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/contentToolkitExtention.js~contentToolkitExtention.html">contentToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/endlessScrollToolkitExtention.js~endlessScrollToolkitExtention.html">endlessScrollToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/eventToolkitExtention.js~eventToolkitExtention.html">eventToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/formToolkitExtention.js~formToolkitExtention.html">formToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/httpConnectionsToolkitExtention.js~httpConnectionsToolkitExtention.html">httpConnectionsToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/styleToolkitExtention.js~styleToolkitExtention.html">styleToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-class">C</span><span data-ice="name"><span><a href="class/public/js/toolkit/urlToolkitExtention.js~urlToolkitExtention.html">urlToolkitExtention</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-function">F</span><span data-ice="name"><span><a href="function/index.html#static-function-aggregator">aggregator</a></span></span></li>
<li data-ice="doc"><span data-ice="kind" class="kind-variable">V</span><span data-ice="name"><span><a href="variable/index.html#static-variable-NOTHING">NOTHING</a></span></span></li>
</ul>
</div>
</nav>

<div class="content" data-ice="content"><h1>References</h1>

<div class="identifiers-wrap">
  <div>
    
  <div data-ice="dirSummaryWrap">
      <h2 data-ice="dirPath" id="js">js</h2>
      <div data-ice="dirSummary"><table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3">summary</td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/moodral.js~moodral.html">moodral</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>A minimilistic moodral class that can handle displaying and hideing moodrals.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-variable">V</span>
          
          
          <span class="code" data-ice="name"><span><a href="variable/index.html#static-variable-CONFIG">CONFIG</a></span></span><span class="code" data-ice="signature">: {&quot;API_ENTRYPOINT&quot;: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span>, &quot;HTTP_ENTRYPOINT&quot;: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a></span>}</span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The configuration for this instance.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
</div>
    </div>
<div data-ice="dirSummaryWrap">
      <h2 data-ice="dirPath" id="js-catalouge">js/catalouge</h2>
      <div data-ice="dirSummary"><table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3">summary</td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_System.js~Catalog_System.html">Catalog_System</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Handles displaying the catalog.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_System_Base.js~Catalog_System_Base.html">Catalog_System_Base</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The actual catalog object, splits the data between the various sections of the code.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
</div>
    </div>
<div data-ice="dirSummaryWrap">
      <h2 data-ice="dirPath" id="js-catalouge-archive-connection">js/catalouge/Archive_Connection</h2>
      <div data-ice="dirSummary"><table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3">summary</td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Archive_Connection/Archive_Connection.js~Archive_Connection.html">Archive_Connection</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Handles connecting to the archive server for catalouge searches.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
</div>
    </div>
<div data-ice="dirSummaryWrap">
      <h2 data-ice="dirPath" id="js-catalouge-catalog-entry">js/catalouge/Catalog_Entry</h2>
      <div data-ice="dirSummary"><table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3">summary</td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry.js~Catalog_Entry.html">Catalog_Entry</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>This is the Catalog Entry Displayer.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry/Catalog_Entry_Base.js~Catalog_Entry_Base.html">Catalog_Entry_Base</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>This is the base Catalouge Entry object.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
</div>
    </div>
<div data-ice="dirSummaryWrap">
      <h2 data-ice="dirPath" id="js-catalouge-catalog-entry-moodral">js/catalouge/Catalog_Entry_Moodral</h2>
      <div data-ice="dirSummary"><table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3">summary</td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Catalog_Entry_Moodral/Catalog_Entry_Moodral.js~Catalog_Entry_Moodral.html">Catalog_Entry_Moodral</a></span></span>
        </p>
      </div>
      <div>
        
        <div class="experimental" data-ice="experimental">this class is experimental.</div>
        <div data-ice="description"><p>A moodral to display catalog entries in full detail.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
</div>
    </div>
<div data-ice="dirSummaryWrap">
      <h2 data-ice="dirPath" id="js-catalouge-filter">js/catalouge/Filter</h2>
      <div data-ice="dirSummary"><table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3">summary</td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Filter/Filter.js~Filter.html">Filter</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>The Filter object that handles changing the filters</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Filter/Filter_Base.js~Filter_Base.html">Filter_Base</a></span></span>
        </p>
      </div>
      <div>
        
        <div class="experimental" data-ice="experimental">this class is experimental. this class is still under heavy development.</div>
        <div data-ice="description"><p>The Options object that is still under heavy development.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
</div>
    </div>
<div data-ice="dirSummaryWrap">
      <h2 data-ice="dirPath" id="js-catalouge-page-headers">js/catalouge/Page_Headers</h2>
      <div data-ice="dirSummary"><table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3">summary</td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/catalouge/Page_Headers/Page_Headers.js~Page_Headers.html">Page_Headers</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>This implements the infininte scroll functionality and the top / bottom of the infininte pages.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
</div>
    </div>
<div data-ice="dirSummaryWrap">
      <h2 data-ice="dirPath" id="js-toolkit">js/toolkit</h2>
      <div data-ice="dirSummary"><table class="summary" data-ice="summary">
  <thead><tr><td data-ice="title" colspan="3">summary</td></tr></thead>
  <tbody>
  
  <tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/baseToolkit.js~toolkit.html">toolkit</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>This is the base toolkit, all extentions are built off of this one.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~permanentStorageToolkitExtention.html">permanentStorageToolkitExtention</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Extention for saveing data across sessons.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/combinedStorageToolkitExtention.js~sessionStorageToolkitExtention.html">sessionStorageToolkitExtention</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Extention for saveing data for a single session.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/contentToolkitExtention.js~contentToolkitExtention.html">contentToolkitExtention</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Extention for messing with the text and raw HTML content of a webpage.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/endlessScrollToolkitExtention.js~endlessScrollToolkitExtention.html">endlessScrollToolkitExtention</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Extention for messing with the text and raw HTML content of a webpage.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/eventToolkitExtention.js~eventToolkitExtention.html">eventToolkitExtention</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Extention for working with events.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/formToolkitExtention.js~formToolkitExtention.html">formToolkitExtention</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Extention for working with forms.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/httpConnectionsToolkitExtention.js~httpConnectionsToolkitExtention.html">httpConnectionsToolkitExtention</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Extention for obtaining data useing HTTP.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/styleToolkitExtention.js~styleToolkitExtention.html">styleToolkitExtention</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Extends base toolkit with stlye modification capability&apos;s</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-class">C</span>
          
          
          <span class="code" data-ice="name"><span><a href="class/public/js/toolkit/urlToolkitExtention.js~urlToolkitExtention.html">urlToolkitExtention</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>Extention for working with the URL.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-function">F</span>
          
          
          <span class="code" data-ice="name"><span><a href="function/index.html#static-function-aggregator">aggregator</a></span></span><span class="code" data-ice="signature">(baseClass: <span>Class</span>, mixins: ...<span>Class</span>): <span>Class</span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>This combines classes into one.</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
<tr data-ice="target">
    <td>
      <span class="access" data-ice="access">public</span>
      
      
      
      <span class="override" data-ice="override"></span>
    </td>
    <td>
      <div>
        <p>
          <span data-ice="kind-icon" class="kind-variable">V</span>
          
          
          <span class="code" data-ice="name"><span><a href="variable/index.html#static-variable-NOTHING">NOTHING</a></span></span><span class="code" data-ice="signature">: <span><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">String</a></span></span>
        </p>
      </div>
      <div>
        
        
        <div data-ice="description"><p>A constant for if nothing</p>
</div>
      </div>
    </td>
    <td>
      
      
    </td>
  </tr>
</tbody>
</table>
</div>
    </div>
</div>

  <div class="identifier-dir-tree" data-ice="dirTreeWrap">
    <div class="identifier-dir-tree-header">Directories</div>
    <div class="identifier-dir-tree-content" data-ice="dirTree"><div style="padding-left: 0em"><a href="#js">js</a></div>
<div style="padding-left: 1em"><a href="#js-catalouge">catalouge</a></div>
<div style="padding-left: 2em"><a href="#js-catalouge-archive-connection">Archive_Connection</a></div>
<div style="padding-left: 2em"><a href="#js-catalouge-catalog-entry">Catalog_Entry</a></div>
<div style="padding-left: 2em"><a href="#js-catalouge-catalog-entry-moodral">Catalog_Entry_Moodral</a></div>
<div style="padding-left: 2em"><a href="#js-catalouge-filter">Filter</a></div>
<div style="padding-left: 2em"><a href="#js-catalouge-page-headers">Page_Headers</a></div>
<div style="padding-left: 1em"><a href="#js-toolkit">toolkit</a></div></div>
  </div>
</div>
</div>

<footer class="footer">
  Generated by <a href="https://esdoc.org">ESDoc<span data-ice="esdocVersion">(1.1.0)</span><img src="./image/esdoc-logo-mini-black.png"></a>
</footer>

<script src="script/search_index.js"></script>
<script src="script/search.js"></script>
<script src="script/pretty-print.js"></script>
<script src="script/inherited-summary.js"></script>
<script src="script/test-summary.js"></script>
<script src="script/inner-link.js"></script>
<script src="script/patch-for-local.js"></script>
</body>
</html>
